#include <stdio.h>
int filter(char* filename){

    FILE *file = fopen(filename, "r");
    if(!file) return 1;
    
    //int number = 0;
    int c = fgetc(file);
    //int index = 0;
    //number += c - 48 ;
    //printf("%i\n", number);
    
    while(c != EOF){
        //index ++;
        //c = fgetc(file);
        int number = c - 48;
        
        //clc de la ligne
        while ( c != '\n'){
        
            c = fgetc(file);
            number *= 10;
            number += c - 48;
        }
        printf("%i\n", number);
    }
    fclose(file);
    return 0;
}
/*
int main()
{
    // example.txt
    //1234567891011121
    //1742909510526
    

    int a = filter("example.txt");
    printf("%d\n", a);                 
    // Expected: 
    //1742909510526
    //0
    

    // FLAG
    //Apply this function to the flag.txt file, it will give you the suspect cards.
    //You should obtain exactly 5 results.
    
    filter("flag.txt");
    
    return 0;
}
*/
